# $Revision: 1.7.2.1 $, $Date: 2006/04/24 01:24:09 $
Summary:	Program to print transfers
Summary(pl):	Program do drukowania przeleww
Name:		eprzelewy
Version:	1.0
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://www.e-linux.pl/modules/e-przelewy/%{name}-%{version}.tar.gz
# Source0-md5:	ad3280b7006c465d598566d3857ab423
Patch0:		%{name}-desktop.patch
URL:		http://www.e-linux.pl/modules/e-przelewy/
BuildRequires:	qmake
BuildRequires:	qt-devel
BuildRequires:	sed >= 4.0
Conflicts:	applnk < 1.9.5-20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
e-Przelewy is a GUI program to print transfers. It's targeted to
Polish users and contains options specific to Polish tax system etc.

%description -l pl
System e-Przelewy zosta przygotowany z myl o tych uytkownikach,
ktrzy chc korzysta z Linuksa w codziennej pracy zawodowej. Jest to
wszechstronny program, pracujcy w trybie graficznym (okienkowym np.
KDE, GNOME, fluxbox). Daje on moliwo prostej obsugi wszelkiego
rodzaju przeleww. Obsuguje: przelewy zwykle, wpaty, przelewy na
ZUS, wpaty podatku dla Urzdu Skarbowego (US). Moliwe jest take
wykonywanie nadrukw na oryginalnych drukach z poczty, banku lub
urzdu. Wbudowana w program baza kontrahentw sprawia, e dokonanie
przelewu na dowolne konto, czy to do ZUS, US jest w zasigu kilku
ruchw mysz. Rwnie prosta jest obsuga przeleww, ktre wykonujemy
cyklicznie np. wpaty ZUS, wystarczy wwcza s otworzy z historii
przelew z zeszego miesica i jedynie zmieni kwot lub tytu.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
export QTDIR=%{_prefix}
qmake przelewy.pro
# sed -e 's/-lqt /lqt-mt/g' -i Makefile
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -D bin/eprzelewy $RPM_BUILD_ROOT%{_bindir}/eprzelewy
install -d $RPM_BUILD_ROOT%{_datadir}
cp -r share/%{name} $RPM_BUILD_ROOT%{_datadir}
install -D ./share/eprzelewy/icons/eprzelewy.desktop $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changelog FAQ README README.ENG
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/icons
%{_datadir}/%{name}/icons/*.png
%{_datadir}/%{name}/druki
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eprzelewy.spec,v $
Revision 1.7.2.1  2006/04/24 01:24:09  ankry
- new category, rel. 3; C: old applnk

Revision 1.7  2006/01/22 01:01:53  ankry
- fixed desktop patch, rel. 2, STBR

Revision 1.6  2006/01/04 09:40:44  darekr
- added %doc

Revision 1.5  2006/01/04 02:41:35  undefine
- up to current version, release 1

Revision 1.4  2005/12/13 19:52:39  ankry
- typo

Revision 1.3  2005/12/13 19:49:42  qboosh
- short en desc

Revision 1.2  2005/12/09 19:46:09  ankry
- typos

Revision 1.1  2005/12/09 19:27:54  undefine
- initial
- TODO: en description ;)
